# class RSS::XMLScanListener

### Constants

ENTITIES

### Public Instance Methods

on_attr_charref(code) click to toggle source

    # File lib/rss/xmlscanner.rb, line 96
    def on_attr_charref(code)
      @current_attr << [code].pack('U')
    end

Also aliased as: on_attr_charref_hex
on_attr_charref_hex(code)
Alias for: on_attr_charref
on_attr_entityref(ref) click to toggle source

    # File lib/rss/xmlscanner.rb, line 92
    def on_attr_entityref(ref)
      @current_attr << entity(ref)
    end

on_attr_value(str) click to toggle source

    # File lib/rss/xmlscanner.rb, line 88
    def on_attr_value(str)
      @current_attr << str
    end

on_attribute(name) click to toggle source

    # File lib/rss/xmlscanner.rb, line 84
    def on_attribute(name)
      @attrs[name] = @current_attr = ''
    end

on_charref(code) click to toggle source

    # File lib/rss/xmlscanner.rb, line 74
    def on_charref(code)
      text([code].pack('U'))
    end

Also aliased as: on_charref_hex
on_charref_hex(code)
Alias for: on_charref
on_entityref(ref) click to toggle source

    # File lib/rss/xmlscanner.rb, line 70
    def on_entityref(ref)
      text(entity(ref))
    end

on_etag(name) click to toggle source

    # File lib/rss/xmlscanner.rb, line 66
    def on_etag(name)
      tag_end(name)
    end

on_stag(name) click to toggle source

    # File lib/rss/xmlscanner.rb, line 80
    def on_stag(name)
      @attrs = {}
    end

on_stag_end(name) click to toggle source

    # File lib/rss/xmlscanner.rb, line 102
    def on_stag_end(name)
      tag_start(name, @attrs)
    end

on_stag_end_empty(name) click to toggle source

    # File lib/rss/xmlscanner.rb, line 106
    def on_stag_end_empty(name)
      tag_start(name, @attrs)
      tag_end(name)
    end

on_xmldecl_encoding(str) click to toggle source

    # File lib/rss/xmlscanner.rb, line 50
    def on_xmldecl_encoding(str)
      @encoding = str
    end

on_xmldecl_end() click to toggle source

    # File lib/rss/xmlscanner.rb, line 58
    def on_xmldecl_end
      xmldecl(@version, @encoding, @standalone == "yes")
    end

on_xmldecl_standalone(str) click to toggle source

    # File lib/rss/xmlscanner.rb, line 54
    def on_xmldecl_standalone(str)
      @standalone = str
    end

on_xmldecl_version(str) click to toggle source

    # File lib/rss/xmlscanner.rb, line 46
    def on_xmldecl_version(str)
      @version = str
    end

### Private Instance Methods

entity(ref) click to toggle source

    # File lib/rss/xmlscanner.rb, line 112
    def entity(ref)
      ent = ENTITIES[ref]
      if ent
        ent
      else
        wellformed_error("undefined entity: #{ref}")
      end
    end